# FirstPersonCamera

Enhance your Cities Skylines 2 experience with **FirstPersonCamera**, a mod that introduces a smoother and more realistic first-person camera mode, easily toggleable and designed for immersion.

## Features

- **First-Person View**: Dive into a first-person perspective of your city.
- **Toggle with Ease**: Activate the camera with a simple `ALT+F` command.
- **Sprinting**: Use `LEFT SHIFT` to increase movement speed.
- **Follow Mode**: Hold the `right mouse button` whilst in first person, you can now see highlighted entities when you hover them. Release the right mouse button to then follow that entity. Moving with the `WASD` keys will go into manual mode.
- **Enhanced Camera Control**: Experience a more realistic and smoother camera movement compared to the vanilla game's photo mode.

## Installation Requirements

- **Cities Skylines 2**: This mod is specifically designed for Cities Skylines 2.
- **BepInEx v5**: Ensure you have BepInEx v5 installed in your game. This is a necessary prerequisite for the mod to function correctly.

## Installation Guide

1. **Download the Mod**: Click on the download link provided.
2. **Locate the Game's Plugin Folder**: Find the `Cities Skylines 2/BepInEx/plugins` folder in your game directory.
3. **Install the Mod**: Copy the downloaded `FirstPersonCamera.dll` file into the plugins folder.
4. **Enjoy**: Start the game, and press `ALT+F` to toggle the first-person camera.

## Usage

- Toggle the first-person camera on and off in-game using the `ALT+F` shortcut.
- Enjoy a new perspective and more realistic camera movements as you explore your city.

## Notes

- The follow mode is experimental and at the moment will not move perfectly in sync with fast moving vehicles. This is something I will look to resolve in the future.

## Compatibility

- Designed to be compatible with most other Cities Skylines 2 mods. If issues arise, please report them for support.

## License

- This mod is released under the GNU General Public License v2 (GPLv2). For more details, see the included LICENSE file.

## Support and Feedback

- For support, questions, or feedback, feel free to reach out by joining the Cities2Modding Discord, linked under Cities Skylines II on [Thunderstore.io](https://thunderstore.io).

## GitHub

- The source code can be found at [GitHub](https://github.com/Cities2Modding/FirstPersonCamera)

## Acknowledgements

- Thanks to the Cities Skylines community and all the contributors and supporters of this project.